"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../index");
function sendParent(data) {
    process.send && process.send(data);
}
(() => __awaiter(void 0, void 0, void 0, function* () {
    const args = process.argv.slice(2);
    const options = args[0];
    const obj = JSON.parse(options);
    const initWebpack = yield (0, index_1.initServer)(obj);
    //initWebpack.on(onMode.interfaceChange, (change: interfaceChange) => {
    //sendParent(change);
    //console.log(`${onMode.interfaceChange}: `, change);
    //});
    //initWebpack.on(onMode.qrcode, (qrcode: InterfaceQrcode) => {
    // console.log(`${onMode.qrcode}: `, qrcode);
    //});
    initWebpack.on(index_1.onMode.connection, (conn) => __awaiter(void 0, void 0, void 0, function* () {
        if (conn.connect) {
            sendParent(Object.assign(Object.assign({}, conn), { session: obj.session }));
        }
    }));
    process.on('message', (response) => __awaiter(void 0, void 0, void 0, function* () {
        if (response.type === 'text') {
            yield initWebpack
                .sendMessage({
                to: response.to,
                body: response.body,
                options: {
                    type: 'text',
                },
            })
                .then((result) => {
                sendParent(Object.assign({ result: true }, result));
            })
                .catch((error) => {
                sendParent(Object.assign({ result: true }, error));
            });
        }
    }));
}))();
//# sourceMappingURL=hydra.js.map